services:
  app:
    entrypoint:
    - sleep
    - infinity
    image: richardluo831/cpp-dev
    init: true
    volumes:
    - type: bind
      source: /var/run/docker.sock
      target: /var/run/docker.sock
